<template>
	<div>
		<v-btn icon class="px-4" @click="showConfirmationDialog = true">
			<v-icon>mdi-delete</v-icon>
		</v-btn>
		<v-dialog v-model="showConfirmationDialog" max-width="50em">
			<v-card>
				<v-toolbar color="grey lighten-2" flat>
					<v-toolbar-title>Delete Sampling Collection</v-toolbar-title>
				</v-toolbar>
				<v-divider />
				<v-card-text class="py-4">
					<div class="d-flex justify-center align-center mt-4 mx-2">
						<v-icon color="warning">mdi-exclamation-thick</v-icon>
						<v-divider vertical class="mx-2"></v-divider>
						<p class="mt-0 mb-0">Are you sure you want to delete this sampling collection?</p>
					</div>
				</v-card-text>
				<v-divider />
				<v-card-actions class="d-flex flex-wrap justify-end">
					<v-btn class="mr-2" text rounded @click="showConfirmationDialog = false">Cancel</v-btn>
					<v-btn color="error" text rounded @click="handleConfirmDelete">Confirm Delete</v-btn>
				</v-card-actions>
			</v-card>
		</v-dialog>
	</div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api';

export default defineComponent({
	props: {
		id: {
			required: true,
			type: String,
		},
		redirect: {
			required: false,
			default: false,
			type: Boolean,
		},
	},
	setup(props, { root }) {
		return {
			handleConfirmDelete: () => {
				root.$store.dispatch('samplingCollections/deleteSamplingCollection', props.id);
				if (props.redirect) {
					root.$router.push({ name: 'Sampling Collection List' });
				}
			},
			showConfirmationDialog: ref(false),
		};
	},
});
</script>

<style></style>
